Bug 1804868 - cluster-etcd-operator needs to report etcd member status conditions
Summary: cluster-etcd-operator needs to report etcd member status conditions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard: move-to-4.5
Depends On: 1802664
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 18:59 UTC by Alay Patel
Modified: 2020-05-13 21:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1802664
Environment:
Last Closed: 2020-05-13 21:59:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:59:24 UTC

Description Alay Patel 2020-02-19 18:59:12 UTC
+++ This bug was initially created as a clone of Bug #1802664 +++

Description of problem:

The cluster-etcd-operator needs to report the etcd member to status updates by querying etcd API.

Comment 1 Suresh Kolichala 2020-03-11 18:31:51 UTC
Since the 4.4 code is frozen, moving it to 4.5.

Comment 2 Suresh Kolichala 2020-03-11 18:48:37 UTC
This is already fixed in 4.4 as a cherry-pick on PR #168 through https://github.com/openshift/cluster-etcd-operator/pull/178.

Manually moving it to ON_QA.

Comment 6 errata-xmlrpc 2020-05-13 21:59:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.